
Figure - Bug #117734
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.systemui（3）
2023-05-04 10:22 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-04

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305130049

Reproducibility: Rarely Fixed Version: 2023-05-08

Test Type: Monkey Test Root cause: 更新控制中心媒体播放控件的时候，重复创建ViewHoder，ViewHoder中持有Bitmap，Bitmap数量一直在增加导致内存泄露

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 2500000 2>/sdcard/error.txt 1>/sdcard/info.txt

// CRASH: com.android.systemui (pid 1870)

// Short Msg: java.lang.OutOfMemoryError

// Long Msg: java.lang.OutOfMemoryError: Failed to allocate a 16 byte allocation with 1472960 free bytes and 1438KB until OOM, target

footprint 268435456, growth limit 268435456; giving up on allocation because <1% of heap free after GC.

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3052:user/test-keys

// Build Changelist: 3052

// Build Time: 1682619940000

// java.lang.OutOfMemoryError: Failed to allocate a 16 byte allocation with 1472960 free bytes and 1438KB until OOM, target footprint

268435456, growth limit 268435456; giving up on allocation because <1% of heap free after GC.

//     at android.os.ThreadLocalWorkSource.setUid(ThreadLocalWorkSource.java:68)

//     at android.os.Looper.loopOnce(Looper.java:199)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.os.HandlerThread.run(HandlerThread.java:67)

// 

History

#1 - 2023-05-04 10:24 - CD TEST-方永红

- File tlog_iov0201017500006162025411a2212290000002151_000039_0503182417.tar.gz added

- File error.txt added

#2 - 2023-05-04 10:40 - CD TEST-方永红

- Subject changed from 【AF】【EVT3】【Monkey】Monkey测试48小时，出现com.android.systemui（3） to 【AF】【EVT3】【Monkey】Monkey测试48小

时，出现CRASH: com.android.systemui（3）

#3 - 2023-05-04 10:54 - CD APP-王营

- Assignee changed from CD APP-王营 to CD FW 曹覃刚
#4 - 2023-05-04 11:32 - CD TEST-方永红

- Severity changed from Normal to Critical

#5 - 2023-05-05 09:41 - CD FW 曹覃刚

- Category changed from CD-APP to CD-FW

- Status changed from New to ASSIGNED

#6 - 2023-05-05 19:26 - CD FW 曹覃刚

■ 当前的状态

SystemUI内存溢出, 从现有的日志中没有有效发现

■ 下一步计划

需要花时间跑monkey复现这个问题，抓堆内存文件看一下，定位问题点

#7 - 2023-05-06 17:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197917 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:SystemUI: Fix the problem of memory leak caused by repeated creation of ViewHoder.TC-RID: 1201-0201903IssueID: TS-R-BUG-117734Change-Id:

I49aa4021738eca2160cfa88feff41e37a4f3b7e3

#8 - 2023-05-06 17:44 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-08

- Root cause set to 更新控制中心媒体播放控件的时候，重复创建ViewHoder，ViewHoder中持有Bitmap，Bitmap数量一直在增加导致内存泄露

#9 - 2023-05-10 10:56 - CD TEST-方永红

5.10

0098版本未复现

#10 - 2023-05-12 17:55 - CD TEST-方永红

5.12

0099未复现

#11 - 2023-05-15 13:50 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305130049
5.15

13日DB未复现

#12 - 2023-05-15 13:51 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_iov0201017500006162025411a2212290000002151_000039_0503182417.tar.gz5.59 MB 2023-05-04 CD TEST-方永红

error.txt 382 KB 2023-05-04 CD TEST-方永红
